Bug 85803 - Missing lodevbasis4.1-images deb package while building libreoffice headless with epm
Summary: Missing lodevbasis4.1-images deb package while building libreoffice headless ...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
4.1.6.1 rc
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-03 14:18 UTC by Tarun
Modified: 2015-07-18 17:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tarun 2014-11-03 14:18:21 UTC
Command used: 
i) ./autogen.sh --without-java --enable-headless --with-theme=no --with-package-format=deb  --enable-epm 

ii) make
 
iii) sudo dpkg -i ./workdir/unxlngx6.pro/installation/LibreOffice_Dev/deb/install/LibreOfficeDev_4.1.6.2.0_Linux_x86-64_deb/DEBS/*.deb

ERROR log: 
Unpacking lodevbasis4.1-xsltfilter (4.1.6.2.0-2) over (4.1.6.2.0-2) ...
dpkg: dependency problems prevent configuration of libreofficedev4.1:
 libreofficedev4.1 depends on lodevbasis4.1-images; however:
  Package lodevbasis4.1-images is not installed.

dpkg: error processing package libreofficedev4.1 (--install):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreofficedev4.1-base:
 libreofficedev4.1-base depends on libreofficedev4.1; however:
  Package libreofficedev4.1 is not configured yet.

dpkg: error processing package libreofficedev4.1-base (--install):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreofficedev4.1-calc:
 libreofficedev4.1-calc depends on libreofficedev4.1; however:
  Package libreofficedev4.1 is not configured yet.

dpkg: error processing package libreofficedev4.1-calc (--install):
 dependency problems - leaving unconfigured
Setting up libreofficedev4.1-debian-menus (4.1.6-2) ...
/usr/bin/gtk-update-icon-cache
gtk-update-icon-cache: Cache file created successfully.
/usr/bin/gtk-update-icon-cache
gtk-update-icon-cache: Cache file created successfully.
dpkg: dependency problems prevent configuration of libreofficedev4.1-dict-en:
 libreofficedev4.1-dict-en depends on libreofficedev4.1; however:
  Package libreofficedev4.1 is not configured yet.

dpkg: error processing package libreofficedev4.1-dict-en (--install):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreofficedev4.1-draw:
 libreofficedev4.1-draw depends on libreofficedev4.1; however:
  Package libreofficedev4.1 is not configured yet.

dpkg: error processing package libreofficedev4.1-draw (--install):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreofficedev4.1-en-us:
 libreofficedev4.1-en-us depends on libreofficedev4.1; however:
  Package libreofficedev4.1 is not configured yet.

dpkg: error processing package libreofficedev4.1-en-us (--install):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreofficedev4.1-impress:
 libreofficedev4.1-impress depends on libreofficedev4.1; however:
  Package libreofficedev4.1 is not configured yet.

dpkg: error processing package libreofficedev4.1-impress (--install):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreofficedev4.1-math:
 libreofficedev4.1-math depends on libreofficedev4.1; however:
  Package libreofficedev4.1 is not configured yet.

dpkg: error processing package libreofficedev4.1-math (--install):
 dependency problems - leaving unconfigured
Setting up libreofficedev4.1-ure (4.1.6.2.0-2) ...
dpkg: dependency problems prevent configuration of libreofficedev4.1-writer:
 libreofficedev4.1-writer depends on libreofficedev4.1; however:
  Package libreofficedev4.1 is not configured yet.

dpkg: error processing package libreofficedev4.1-writer (--install):
 dependency problems - leaving unconfigured
Setting up lodevbasis4.1-core01 (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-core02 (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-core03 (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-core04 (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-core05 (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-core06 (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-core07 (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-draw (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-en-us (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-en-us-base (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-en-us-calc (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-en-us-math (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-en-us-res (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-en-us-writer (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-extension-pdf-import (4.1.6.2.0-2) ...
http://www.libreoffice.org/about-us/source-code/Setting up lodevbasis4.1-extension-presentation-minimizer (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-gnome-integration (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-graphicfilter (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-impress (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-math (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-ooofonts (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-ooolinguistic (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-python-script-provider (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-pyuno (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-writer (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-xsltfilter (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-base (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-calc (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-librelogo (4.1.6.2.0-2) ...
Setting up lodevbasis4.1-postgresql-sdbc (4.1.6.2.0-2) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.54ubuntu1) ...
Processing triggers for gnome-icon-theme (3.10.0-0ubuntu2) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for shared-mime-info (1.2-0ubuntu3) ...
Errors were encountered while processing:
 libreofficedev4.1
 libreofficedev4.1-base
 libreofficedev4.1-calc
 libreofficedev4.1-dict-en
 libreofficedev4.1-draw
 libreofficedev4.1-en-us
 libreofficedev4.1-impress
 libreofficedev4.1-math
 libreofficedev4.1-writer
Comment 1 Michael Stahl (allotropia) 2014-11-26 11:49:32 UTC
does this problem still happen on current master or current release branches?

as the documentation says, the --enable-headless option is "Work in progress, use only if you are hacking on it. Not related to the --headless option."

this problem will certainly not be fixed for a old and unsupported branch like libreoffice-4-1.

btw on current master --enable-headless was renamed to --without-x.
Comment 2 QA Administrators 2015-06-08 14:29:01 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!

This NEEDINFO Message was generated on: 2015-06-08

Warm Regards,
QA Team
Comment 3 QA Administrators 2015-07-18 17:27:37 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-07-18